# poi-plugin-offline

Add offline support to your app.

## Install

```bash
yarn add offline-plugin
yarn add poi-plugin-offline --dev
```

## Usage

```js
// poi.config.js
module.exports = {
  plugins: [
    require('poi-plugin-offline')(options)
  ]
}
```

## API

<!-- Generated by documentation.js. Update this documentation by updating the source code. -->

#### Table of Contents

-   [offlinePlugin](#offlineplugin)

### offlinePlugin

Add offline support to your app

**Parameters**

-   `options` **[Object](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object)** 
    -   `options.entry` **[String](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/String)** Specific the entry to add offline-plugin runtime file. (optional, default `'client'`)
    -   `options.pwa` **[string](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/String)** Path to your offline-plugin runtime file.See [./pwa.js](./pwa.js) for built-in runtime entry. (optional, default `path.join(__dirname,'pwa.js')`)
    -   `options.pluginOptions` **[Object](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object)** Options for offline-plugin.See [offline-plugin docs](https://github.com/NekR/offline-plugin/blob/master/docs/options.md) for details. (optional, default `{
        ServiceWorker:{
        events:true,
        navigateFallbackURL:'/'
        },
        AppCache:{
        events:true,
        FALLBACK:{'/':'/'}
        }
        }`)

**Examples**

```javascript
require('poi-plugin-offline')({
  pwa: './src/pwa.js' // Use your own runtime, relative to $cwd
})
```

## License

MIT © [EGOIST](https://github.com/egoist)
